﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Manage Scerp</title>

    <!-- Bootstrap Core CSS -->
    <link href="~/Content/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="~/Content/SBAdmin/plugins/metisMenu/metisMenu.min.css" rel="stylesheet">

    <!-- Timeline CSS -->
    <link href="~/Content/SBAdmin/plugins/timeline.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="~/Content/SBAdmin/sb-admin-2.css" rel="stylesheet">

    <!-- Morris Charts CSS -->
    <link href="~/Content/SBAdmin/plugins/morris.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="~/Content/SBAdmin/font-awesome-4.2.0/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <script src="~/Scripts/jquery-2.1.1.js"></script>
    <script src="@Url.Content("~/Scripts/jquery.unobtrusive-ajax.min.js")" type="text/javascript"></script>
    <script src="~/Scripts/bootstrap.min.js"></script>

    <script src="~/Scripts/SBAdmin/plugins/metisMenu/metisMenu.min.js"></script>
    <script src="~/Scripts/SBAdmin/plugins/morris/raphael.min.js"></script>
    <script src="~/Scripts/SBAdmin/plugins/dataTables/jquery.dataTables.js"></script>
    <script src="~/Scripts/SBAdmin/plugins/dataTables/dataTables.bootstrap.js"></script>
    <script src="~/Scripts/SBAdmin/sb-admin-2.js"></script>
    <script src="~/Scripts/moment.js"></script>
    <script src="~/Scripts/bootstrap-datetimepicker.js"></script>
    

    @RenderSection("scripts", required: false)
</head>
<body>

    <div id="wrapper">

        <div id='dialogDiv' class="modal">
            <div class="modal-dialog">
                <div class="modal-content" id='dialogContent'>

                </div>
            </div>
        </div>

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="index.html">
                    <div class="icon">
                        <img src="~/Content/Images/scerp.png" width="50%" />
                    </div>
                </a>
            </div>

            <div class="navbar-default sidebar" role="navigation">
                <div class="sidebar-nav navbar-collapse">
                    <ul class="nav" id="side-menu">
                        <li class="active" id="fuck">
                            <a class="active" href="/Home/"><i class="fa fa-dashboard fa-fw"></i>Dashboard</a>
                        </li>
                        <li>
                            <a href="#"><i class="fa fa-inbox fa-fw"></i>Products<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="@Url.Action("Index", "Product")" style="margin-left: 20px">Show All</a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Create", "Product")" style="margin-left: 20px">Create New</a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="tables.html"><i class="fa fa-table fa-fw"></i>Stocks<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="@Url.Action("Index", "Stocks")">Show All</a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Create", "Stocks")">Create New</a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="forms.html"><i class="fa fa-edit fa-fw"></i>Manufacturing<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="panels-wells.html" style="margin-left: 20px">On Process..</a>
                                </li>
                                <li>
                                    <a href="buttons.html" style="margin-left: 20px">Delivered</a>
                                </li>
                                <li>
                                    <a href="#">Manufacturers<span class="fa arrow"></span></a>
                                    <ul class="nav nav-second-level collapse">
                                        <li>
                                            <a href="@Url.Action("Index", "Manufacturer")" style="margin-left: 40px">Show All</a>
                                        </li>
                                        <li>
                                            <a href="@Url.Action("Create", "Manufacturer")" style="margin-left: 40px">Create New Manufacturer</a>
                                        </li>
                                    </ul>

                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="#"><i class="fa fa-share-alt fa-fw"></i>Distribution<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="@Url.Action("Index", "Distribution")" style="margin-left: 20px">Browse All</a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Create", "Distribution")" style="margin-left: 20px">Create New</a>
                                </li>
                                <li>
                                    <a href="#">Distributors<span class="fa arrow"></span></a>
                                    <ul class="nav nav-second-level collapse">
                                        <li>
                                            <a href="@Url.Action("Index", "Distributor")" style="margin-left: 40px">Show All</a>
                                        </li>
                                        <li>
                                            <a href="@Url.Action("Create", "Distributor")" style="margin-left: 40px">Create New Distributor</a>
                                        </li>
                                    </ul>

                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="#"><i id="mf" class="fa fa-building fa-fw"></i>Warehouses<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="@Url.Action("Index", "WareHouse")" style="margin-left: 20px">Browse All</a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Create", "WareHouse")" style="margin-left: 20px">Create New</a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="#"><i class="fa fa-users fa-fw"></i>Human Resource<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="@Url.Action("Index", "PersonInfo")" style="margin-left: 20px">Browse All</a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Create", "PersonInfo")" style="margin-left: 20px">Create New Person</a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </div>

    <script type="text/javascript">

        $(document).ready(function () {

        $('[id=CreateNewLocationDiv1]').hide();
        $('[id=CreateNewLocationDiv2]').hide();
        $('[id=CreateNewLocationDiv3]').hide();
        $('#dataTables-example').dataTable();

        // tooltip demo
        $('.tooltip-demo').tooltip({
            selector: "[data-toggle=tooltip]",
            container: "body"
        })

        // popover demo
        $("[data-toggle=popover]")
            .popover()

        $("[id=Dash]").click(function () {
            alert("aaaaaa");
            $(".modal").modal("show");

        });
        $("#chkdwn1").click(function () {
            if ($(this).is(":checked")) {
                $(this).attr("value", "true");
                    $('[id=id_location]').attr("disabled", true);
                    $('[id=CreateNewLocationDiv1]').show();
            } else {
                $(this).attr("value", "false");
                    $('[id=id_location]').attr("disabled", false);
                    $('[id=CreateNewLocationDiv1]').hide();
                }
            });
            $("#chkdwn2").click(function () {
                if ($(this).is(":checked")) {
                    $(this).attr("value", "true");
                    $('[id=id_owner_person]').attr("disabled", true);
                    $('[id=CreateNewLocationDiv2]').show();
                } else {
                    $(this).attr("value", "false");
                    $('[id=id_owner_person]').attr("disabled", false);
                    $('[id=CreateNewLocationDiv2]').hide();
                }
            });
            $("#chkdwn3").click(function () {
                if ($(this).is(":checked")) {
                    $(this).attr("value", "1");
                    $('[id=id_contact_person]').attr("disabled", false);
                    $('[id=CreateNewLocationDiv3]').hide();
                }
            });
            $("#chkdwn4").click(function () {
                if ($(this).is(":checked")) {
                    $(this).attr("value", "2");
                    $('[id=id_contact_person]').attr("disabled", true);
                    $('[id=CreateNewLocationDiv3]').hide();
                }
            });
            $("#chkdwn5").click(function () {
                if ($(this).is(":checked")) {
                    $(this).attr("value", "3");
                    $('[id=id_contact_person]').attr("disabled", true);
                    $('[id=CreateNewLocationDiv3]').show();
                }
            });
        });

        $(function () {

            //Optional: turn the chache off
            //$.ajaxSetup({ cache: false });

            $('[id=btnCreate]').click(function () {
                $('#dialogContent').load(this.href, function () {
                    $('#dialogDiv').modal({
                        backdrop: 'static',
                        keyboard: true
                    }, 'show');
                    bindForm(this);
                });
                return false;
            });

        });
        function bindForm(dialog) {
            $('form', dialog).submit(function () {
                $.ajax({
                    url: this.action,
                    type: this.method,
                    data: $(this).serialize(),
                    success: function (result) {
                        if (result.success) {
                            $('#dialogDiv').modal('hide');
                            location.reload();
                        } else {
                            $('#dialogContent').html(result);
                            bindForm();
                        }
                    }
                });
                return false;
            });
        }

    </script>
    @RenderBody()

</body>
</html>
